Mail archive
alpine-aports

[alpine-aports] [PATCH v2] community/wine: upgrade to 2.0

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Thu, 26 Jan 2017 21:26:17 +0200

fixes and improvements in apkbuild
---
v1 -> v2:
- del musl-fix.patch
- add  winhlp32-flex.patch
---
 community/wine/APKBUILD            | 60 +++++++++++++++++++++++---------------
 community/wine/musl-fix.patch      | 21 -------------
 community/wine/winhlp32-flex.patch |  9 ++++++
 3 files changed, 46 insertions(+), 44 deletions(-)
 delete mode 100644 community/wine/musl-fix.patch
 create mode 100644 community/wine/winhlp32-flex.patch
diff --git a/community/wine/APKBUILD b/community/wine/APKBUILD
index 9c5d4deafd..acd29fdc4e 100644
--- a/community/wine/APKBUILD
+++ b/community/wine/APKBUILD
_at_@ -3,7 +3,7 @@
 # Contributor: Ɓukasz Jendrysik <scadu_at_yandex.com>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=wine
-pkgver=1.8.5
+pkgver=2.0
 _pkgver=${pkgver/_/-}
 pkgrel=0
 pkgdesc="A compatibility layer for running Windows programs"
_at_@ -13,20 +13,22 @@ license="LGPL2+"
 subpackages="$pkgname-libs $pkgname-dev $pkgname-doc"
 depends_dev="$pkgname perl"
 makedepends="fontconfig-dev openldap-dev libxslt-dev libxxf86dga-dev
-	libxcursor-dev libxrandr-dev libxdamage-dev mesa-dev flex bison
+	libxcursor-dev libxrandr-dev libxdamage-dev mesa-dev flex-dev bison
 	libpng-dev libjpeg-turbo-dev freetype-dev ncurses-dev libressl-dev
 	libxcomposite-dev libxrender-dev libxinerama-dev zlib-dev
 	cups-dev alsa-lib-dev lcms-dev libxml2-dev paxmark dbus-dev libxi-dev
-	gnutls-dev tiff-dev v4l-utils-dev udisks2-dev autoconf automake"
-source="http://downloads.sourceforge.net/project/wine/Source/wine-$_pkgver.tar.bz2
-	musl-fix.patch
-	nopie.patch"
+	gnutls-dev tiff-dev v4l-utils-dev udisks2-dev autoconf automake
+	"
+source="http://dl.winehq.org/$pkgname/source/2.0/$pkgname-$_pkgver.tar.bz2
+	nopie.patch
+	winhlp32-flex.patch
+	"
 builddir="$srcdir/$pkgname-$_pkgver"
 
 prepare() {
-	default_prepare || return 1
-
 	cd "$builddir"
+
+	default_prepare || return 1
 	aclocal && autoheader && autoreconf || return 1
 }
 
_at_@ -51,6 +53,7 @@ build() {
 }
 
 package() {
+	local file
 	cd "$builddir"
 	make -j1 DESTDIR="$pkgdir" install || return 1
 
_at_@ -61,6 +64,16 @@ package() {
 
 	paxmark -psmre "$pkgdir"/usr/bin/$_wine-preloader \
 		"$pkgdir"/usr/bin/$_wine
+
+	install -Dm755 tools/wineapploader \
+		"$pkgdir"/usr/bin/wineapploader || return 1
+
+	for file in msiexec notepad regedit regsvr32 wineboot \
+		winecfg wineconsole winefile winemine winepath
+	do
+		rm "$pkgdir"/usr/bin/$file || return 1
+		ln -sf /usr/bin/wineapploader "$pkgdir"/usr/bin/$file
+	done
 }
 
 dev() {
_at_@ -68,8 +81,9 @@ dev() {
 	default_dev || return 1
 
 	install -d "$subpkgdir"/usr/bin
-	for file in widl wmc wrc winebuild winedump function_grep.pl winedbg \
-			winemaker winegcc winecpp wineg++; do
+	for file in widl wmc wrc winebuild winedump function_grep.pl \
+		 winedbg winemaker winegcc winecpp wineg++
+	do
 		mv "$pkgdir"/usr/bin/$file "$subpkgdir"/usr/bin/
 	done
 
_at_@ -83,26 +97,26 @@ doc() {
 }
 
 libs() {
-	local ext file
+	local file ext
 	default_libs || return 1
 
 	install -d "$subpkgdir"/usr/lib/wine/fakedlls
 	for ext in dll16 drv16 exe16 acm dll drv ds ocx sys tlb vxd; do
-		for file in $(find "$pkgdir"/usr/lib/wine/fakedlls -name *.$ext -exec basename {} \;); do
-			mv "$pkgdir"/usr/lib/wine/fakedlls/$file \
+		for file in $(find "$pkgdir/usr/lib/wine/fakedlls" -name "*.$ext"); do
+			mv "$pkgdir"/usr/lib/wine/fakedlls/${file##*/} \
 				"$subpkgdir"/usr/lib/wine/fakedlls/
-			mv "$pkgdir"/usr/lib/wine/${file}.so \
+			mv "$pkgdir"/usr/lib/wine/${file##*/}.so \
 				"$subpkgdir"/usr/lib/wine/
 		done
 	done
 }
 
-md5sums="2d2b38d9be3dc054c0cee9f0e868eaea  wine-1.8.5.tar.bz2
-80c4e60c14a055b070e87338f22c6a0f  musl-fix.patch
-282865724e8d91958fa4e909a92c1035  nopie.patch"
-sha256sums="dee2a4959e5f90a89aaf04566c23f2926e9590f8968ea662afd81947fdb6f6d6  wine-1.8.5.tar.bz2
-28059ac713a3636657267b9238ac9ca28416d7a3d6dbac142ed68dcbf460d88b  musl-fix.patch
-3449932791966342470286127a5b51f2035efc66a33bcfd6afdf0c5c1db17b67  nopie.patch"
-sha512sums="0434424869722cb4a4b9a0cbf22688e0139805fc9486f2fbfe5f1b3698e6fa5b5292d2031a20f09ae2069a5b19604eed8fdaa5ae66a8cebdeecd65afac83b332  wine-1.8.5.tar.bz2
-6cbbaa561db4ea2048e1c5db3b66dddea554d8e2aa120e8615403a4891f1bd08fcd8c273ccb3fc6a824dac2fb53165237a1f4111d86cfee1de4a18fa7262ea39  musl-fix.patch
-f4c3ffc86ceb14c865282574f837c2114cdfa38df64327f17c2d5913cb85726d883e4a136ce38297612cda6dd47f9bdf80aff770368b8b846a642337f52a68bf  nopie.patch"
+md5sums="fde8a855080279f74fb2e9ccec926db7  wine-2.0.tar.bz2
+282865724e8d91958fa4e909a92c1035  nopie.patch
+be202ea06fbdcbcd2d5365b9c160825b  winhlp32-flex.patch"
+sha256sums="9756f5a2129b6a83ba701e546173cbff86caa671b0af73eb8f72c03b20c066c6  wine-2.0.tar.bz2
+3449932791966342470286127a5b51f2035efc66a33bcfd6afdf0c5c1db17b67  nopie.patch
+56c49b299052b58b54c7bf5bc8d85a02333d80315dd9b90af3c2229574f73699  winhlp32-flex.patch"
+sha512sums="b0a57ba8202d9fc396e5bfb7a7718d6bababbed8f3351e7fdc36afa37f35a871e04903757618f73427aeb71a52b2d323977d79e48f8b38d636f23fd404441186  wine-2.0.tar.bz2
+f4c3ffc86ceb14c865282574f837c2114cdfa38df64327f17c2d5913cb85726d883e4a136ce38297612cda6dd47f9bdf80aff770368b8b846a642337f52a68bf  nopie.patch
+522a94a31fc459e80ea7dd05f7aee64f6ae666ec05236d06614acde118d5c60002e0f253ae75edb5f02164f22937ca89578504b690d1a5611bd60f703c8f0c00  winhlp32-flex.patch"
diff --git a/community/wine/musl-fix.patch b/community/wine/musl-fix.patch
deleted file mode 100644
index 0176c7921f..0000000000
--- a/community/wine/musl-fix.patch
+++ /dev/null
_at_@ -1,21 +0,0 @@
---- wine-1.7.8.orig/server/file.h
-+++ wine-1.7.8/server/file.h
-_at_@ -21,6 +21,7 @@
- #ifndef __WINE_SERVER_FILE_H
- #define __WINE_SERVER_FILE_H
- 
-+#include <fcntl.h>
- #include "object.h"
- 
- struct fd;
---- ./dlls/ws2_32/socket.c.orig
-+++ ./dlls/ws2_32/socket.c
-_at_@ -100,7 +100,7 @@
- 
- #ifdef HAVE_NETIPX_IPX_H
- # include <netipx/ipx.h>
--#elif defined(HAVE_LINUX_IPX_H)
-+#elif defined(HAVE_LINUX_IPX_H) && defined(__GLIBC__)
- # ifdef HAVE_ASM_TYPES_H
- #  include <asm/types.h>
- # endif
diff --git a/community/wine/winhlp32-flex.patch b/community/wine/winhlp32-flex.patch
new file mode 100644
index 0000000000..daeb790c2e
--- /dev/null
+++ b/community/wine/winhlp32-flex.patch
_at_@ -0,0 +1,9 @@
+--- a/programs/winhlp32/Makefile.in
++++ b/programs/winhlp32/Makefile.in
+_at_@ -1,5 +1,5 @@
+ MODULE    = winhlp32.exe
+-APPMODE   = -mwindows
++APPMODE   = -mwindows -lfl
+ IMPORTS   = user32 gdi32
+ DELAYIMPORTS = shell32 comctl32 comdlg32
+ 
-- 
2.11.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Jan 26 2017 - 21:26:17 GMT